org.deidentifier.arx.test

## Class TestAnonymizationCellSuppression

- java.lang.Object
- - org.deidentifier.arx.test.TestAnonymizationCellSuppression

    public class TestAnonymizationCellSuppression
    extends java.lang.Object

Test for risk metrics.

Author:
  Fabian Prasser, Helmut Spengler

### Constructor Summary

Constructors
Constructor and Description
`TestAnonymizationCellSuppression()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `testRandomized()` Randomly generates, permutes and executes risk management scenarios.
`void` `testStatic()` Test

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestAnonymizationCellSuppression

    public TestAnonymizationCellSuppression()

### Method Detail

#### testRandomized

    public void testRandomized()
                        throws java.io.IOException

Randomly generates, permutes and executes risk management scenarios.

Throws:
  `java.io.IOException`

#### testStatic

    public void testStatic()
                    throws java.io.IOException

Test

Throws:
  `java.io.IOException`